import { BaseTaskResult, TaskResult, ActionList } from '@checkup/core';
import { Dependency } from '../tasks/outdated-dependencies-task';
export default class OutdatedDependenciesTaskResult extends BaseTaskResult implements TaskResult {
    dependencies: Dependency[];
    toConsole(): void;
    toJson(): {
        meta: import("../../../core/lib").TaskMetaData;
        result: {
            dependencies: Dependency[];
        };
    };
    get outdatedDependencies(): Dependency[];
    get versionTypes(): Map<string, Array<Dependency>>;
    get actionList(): ActionList;
}
//# sourceMappingURL=outdated-dependencies-task-result.d.ts.map