import { BaseTaskResult, ResultData, TaskResult, TaskMetaData, ActionList, TaskConfig } from '@checkup/core';
export default class EslintDisableTaskResult extends BaseTaskResult implements TaskResult {
    eslintDisables: ResultData;
    actionList: ActionList;
    constructor(meta: TaskMetaData, config: TaskConfig, eslintDisables: ResultData);
    toConsole(): void;
    toJson(): {
        meta: TaskMetaData;
        result: {
            eslintDisables: import("../../../core/lib").TaskItemData[];
            fileErrors: string[];
        };
    };
}
//# sourceMappingURL=eslint-disable-task-result.d.ts.map